Page 4 of 5 FirstFirst ... 2345 LastLast
Results 31 to 40 of 44

Thread: Trusty screensaver in Flashback

  1. #31
    Join Date
    Apr 2008
    Beans
    10,770

    Re: Trusty screensaver in Flashback

    Quote Originally Posted by Cavsfan View Post
    Thanks for the reply Albert! I seen that in the change log that gnome-screensaver was moved to from Depends to Recommends. Sweet!

    But, like you mention I'll leave it installed until I hear back that is OK to uninstall. And I'll leave my work around in place.
    I see Alberts beat me to the punch but here's the changelog:

    gnome-panel (1:3.8.0-1ubuntu2) trusty; urgency=low

    [ Dmitry Shachnev ]
    * Backport upstream patches to:
    - fix building with gweather 3.9.2 and newer versions.
    - fix problem when panel size was not updated.
    * Drop obsolete breaks on historic versions of gnome-session and
    gnome-power-manager.
    * Drop ‘with’ word from sessions names to make them shorter.

    [ Alberts Muktupāvels ]
    * Move gnome-screensaver from Depends to Recommends.

    -- Dmitry Shachnev <mitya57@ubuntu.com> Sat, 11 Jan 2014 14:56:20 +0400
    Thanks Alberts

  2. #32
    Join Date
    Aug 2009
    Beans
    3,269
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    Quote Originally Posted by albertsmuktupavels View Post
    There is new gnome-panel version which will allow to remove gnome-screensaver without removing gnome-flashback-session, but for now I would suggest to keep it installed. New version is missing one more fix, without that fix gnome flashback session will fail to start without gnome-screensaver.
    Alberts, I guess this still has not been resolved? Do you think it will be?

    Thanks
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Ubuntu 12.04 | 14.04 | 14.10 | 14.10 Mate | Mint 13 | Mint 17 | Windows 7 | All 64 bit

  3. #33
    Join Date
    Jan 2013
    Location
    Riga, Latvia
    Beans
    90
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback


  4. #34
    Join Date
    Aug 2009
    Beans
    3,269
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    Quote Originally Posted by albertsmuktupavels View Post
    Fantastic! I think I seen these in the updates recently. I'll resolve this thread and get rid of gnome-screensaver finally.

    Thank you for the update.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Ubuntu 12.04 | 14.04 | 14.10 | 14.10 Mate | Mint 13 | Mint 17 | Windows 7 | All 64 bit

  5. #35
    Join Date
    Aug 2009
    Beans
    3,269
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    I don't think this is resolved just yet.

    Code:
    cavsfan@cavsfan-MS-7529:~$ sudo apt-get purge gnome-screensaver
    [sudo] password for cavsfan: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      gnome* gnome-core* gnome-screensaver*
    0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
    After this operation, 535 kB disk space will be freed.
    Do you want to continue? [Y/n]
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Ubuntu 12.04 | 14.04 | 14.10 | 14.10 Mate | Mint 13 | Mint 17 | Windows 7 | All 64 bit

  6. #36
    Join Date
    Apr 2008
    Beans
    10,770

    Re: Trusty screensaver in Flashback

    Quote Originally Posted by Cavsfan View Post
    I don't think this is resolved just yet.

    Code:
    cavsfan@cavsfan-MS-7529:~$ sudo apt-get purge gnome-screensaver
    [sudo] password for cavsfan: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      gnome* gnome-core* gnome-screensaver*
    0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
    After this operation, 535 kB disk space will be freed.
    Do you want to continue? [Y/n]
    I'm surprised the meta-package 'gnome' is even installed and even 'gnome-core' is part of the upstream 'gnome' meta-package:

    This is the GNOME Desktop environment, an intuitive and attractive
    desktop, with extra components.

    This meta-package depends on the standard distribution of the GNOME
    desktop environment, plus a complete range of plugins and other
    applications integrating with GNOME and Debian, providing the best
    possible environment to date.
    These are the core components of the GNOME Desktop environment, an
    intuitive and attractive desktop.

    This meta-package depends on a basic set of programs, including a file
    manager, an image viewer, a web browser, a video player and other
    tools.

    It contains the official “core” modules of the GNOME desktop.

  7. #37
    Join Date
    Jan 2013
    Location
    Riga, Latvia
    Beans
    90
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    Quote Originally Posted by Cavsfan View Post
    I don't think this is resolved just yet.

    Code:
    cavsfan@cavsfan-MS-7529:~$ sudo apt-get purge gnome-screensaver
    [sudo] password for cavsfan: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      gnome* gnome-core* gnome-screensaver*
    0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
    After this operation, 535 kB disk space will be freed.
    Do you want to continue? [Y/n]
    gnome-flashback-session is not going to be removed, so problem is solved. You can use flashback session without gnome-screensaver if you want so.

  8. #38
    Join Date
    Aug 2009
    Beans
    3,269
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    Thanks! It worked well. I'm almost embarrassed to say that I did not know that a meta-package is like a transitional package.
    I guess if you don't learn something fairly often you aren't doing anything

    I removed the kill screensaver script and changed the startup command for xscreensaver to the usual xscreensaver -no-splash and all is well.

    This is resolved.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Ubuntu 12.04 | 14.04 | 14.10 | 14.10 Mate | Mint 13 | Mint 17 | Windows 7 | All 64 bit

  9. #39
    Join Date
    Aug 2009
    Beans
    3,269
    Distro
    Ubuntu Development Release

    Re: Trusty screensaver in Flashback

    This doesn't seem quite right. When checking for updates after I removed gnome-screensaver I get this:

    Code:
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      argyll browser-plugin-gnash caribou caribou-antler dconf-tools finger fonts-cantarell gdebi gdebi-core gir1.2-gtop-2.0 gir1.2-rest-0.7 gir1.2-tracker-0.16 gir1.2-zpj-0.0 gnash gnash-common gnome-backgrounds
      gnome-color-manager gnome-dictionary gnome-documents gnome-games gnome-icon-theme-extras gnome-nettool gnome-online-accounts gnome-packagekit gnome-packagekit-data gnome-packagekit-session
      gnome-shell-extensions gstreamer0.10-ffmpeg gstreamer0.10-plugins-bad gtk2-engines hamster-applet hamster-indicator inkscape libbonoboui2-0 libbonoboui2-common libboost-program-options1.54.0
      libboost-thread1.54.0 libcaribou-gtk-module libcaribou-gtk3-module libcdaudio1 libcolord-gtk1 libdirac-encoder0 libdiscid0 libdmapsharing-3.0-2 libgdict-1.0-6 libgdict-common libgnomecanvas2-0
      libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgsf-1-114 libgsf-1-common libgsl0ldbl libgstreamer-plugins-bad0.10-0 libgtkmm-2.4-1c2a libgupnp-av-1.0-2 libgupnp-dlna-2.0-3 libicc2 libimdi0
      libiptcdata0 libjemalloc1 librygel-core-2.0-1 librygel-renderer-2.0-1 librygel-renderer-gst-2.0-1 librygel-server-2.0-1 libslv2-9 libsofia-sip-ua-glib3 libsofia-sip-ua0 libtracker-extract-0.16-0
      libtracker-miner-0.16-0 libtracker-sparql-0.16-0 libzapojit-0.0-0 libzvbi-common libzvbi0 perlmagick python-appindicator python-gnome2 python-pyatspi python-pyorbit python-uniconvertor python-wnck
      python3-mako python3-markupsafe rhythmbox-plugins rygel rygel-playbin rygel-preferences sound-juicer telepathy-rakia tracker tracker-extract tracker-gui tracker-miner-fs tracker-utils unoconv
    Use 'apt-get autoremove' to remove them.
    Maybe this is not fixed. Did any one test this by removing gnome-screensaver?
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Ubuntu 12.04 | 14.04 | 14.10 | 14.10 Mate | Mint 13 | Mint 17 | Windows 7 | All 64 bit

  10. #40
    Join Date
    Jun 2007
    Beans
    13,059

    Re: Trusty screensaver in Flashback

    Works fine on an Ubuntu + gnome-panel install.
    All of those packages listed were automatically installed when *you* installed those 2 metapackages. Now that gnome & gnome-core have been removed any of those automatically installed packages that don't have anything else depending on are marked for autoremove.

    If you actually use any of them then mark them as manually installed & they won't show in the autoremove list..

Page 4 of 5 FirstFirst ... 2345 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •